Mailinglist Archive: opensuse-bugs (4250 mails)

< Previous Next >
[Bug 1018739] New: Tumbleweed: zypper broken after last update.
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 08 Jan 2017 00:20:13 +0000
  • Message-id: <bug-1018739-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1018739


Bug ID: 1018739
Summary: Tumbleweed: zypper broken after last update.
Classification: openSUSE
Product: openSUSE Tumbleweed
Version: Current
Hardware: x86-64
OS: Other
Status: NEW
Severity: Critical
Priority: P5 - None
Component: libzypp
Assignee: zypp-maintainers@xxxxxxxxxxxxxxxxxxxxxx
Reporter: tony.pott@xxxxxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

After my last update (tumbleweed), invoking zypper gives me:

zypper: relocation error: zypper: symbol
_ZN4zypp5CpeId11NoThrowType13lastMalformedB5cxx11E, version ZYPP_plain not
defined in file libzypp.so.1600 with link time reference

Which is bad.


My workaround was:

1: Go to https://software.opensuse.org/search and search for 'zypp'

2. Download the rpms for zypper, libzypp, python-zypp (not sure that last was
required), for Tumbleweed.

3. sudo rpm --force -hiv libzypp-16.3.2-1.1.x86_64.rpm
python-zypp-0.7.3-1.13.x86_64.rpm zypper-1.13.14-1.2.x86_64.rpm


But I'm sure most people would prefer not to have to do this.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >